package com.unis.common.util;

import java.time.LocalDate;

/**
 * @author qingsong.han
 * @description: 生成单号
 * @create 2024-05-21 14:18
 */
public class OrderNumberUtil {

    /**
     * int 定长拼接-后缀顺序号
     *
     * @param length 总长度
     * @param param  参数
     * @return 参数前补0
     */
    private static String integerToString(int length, int param) {
        return String.format("%0" + length + "d", param);
    }

    /**
     * 中缀
     *
     * @return yyyyMMdd
     */
    private static String getLocalDate() {
        String now = LocalDate.now().toString();
        return now.replaceAll("-", "");
    }

    /**
     * @param f 前缀
     * @return 前缀+中缀+后缀
     */
    public static String frontData(String f, int length, int param) {
        return String.format("%s%s%s", f, getLocalDate(), integerToString(length, param));
    }

    /*public static void main(String[] args) {
        System.out.println(frontData("JH",4, 2));
    }*/

}
